### Constructor

# Gtk TextView new

#### Declaration [src]

    GtkWidget*
    gtk_text_view_new (
      void
    )

#### Description [src]

Creates a new `GtkTextView`.

If you don’t call gtk_text_view_set_buffer() before using the text view, an empty default buffer will be created for you. Get the buffer with gtk_text_view_get_buffer(). If you want to specify your own buffer, consider gtk_text_view_new_with_buffer().

#### Return value

Returns: | `GtkWidget`
| A new `GtkTextView`.
| The data is owned by the called function.